From 54d79b20d78d4cdd48e49b3d6d9902414db78971 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Fri, 9 Oct 2020 09:10:41 +0200
Subject: [PATCH 3/3] Remove obsolete ifdefs

Commit 8dace66e0735ca39b779922d02c24ea2686e6521 added #ifdefs for a
number of errno symbols because they were not present on Windows.
Later, commit 125ad539a275db5ab8f4647828b80a16d02eabd2 added
replacement #defines for some of those symbols.  So some of the
changes from the first commit are made dead code by the second commit
and can now be removed.
---
 src/port/strerror.c | 14 --------------
 1 file changed, 14 deletions(-)

diff --git a/src/port/strerror.c b/src/port/strerror.c
index 375edb0f5a..55f8eb3917 100644
--- a/src/port/strerror.c
+++ b/src/port/strerror.c
@@ -118,14 +118,10 @@ get_errno_symbol(int errnum)
 			return "E2BIG";
 		case EACCES:
 			return "EACCES";
-#ifdef EADDRINUSE
 		case EADDRINUSE:
 			return "EADDRINUSE";
-#endif
-#ifdef EADDRNOTAVAIL
 		case EADDRNOTAVAIL:
 			return "EADDRNOTAVAIL";
-#endif
 		case EAFNOSUPPORT:
 			return "EAFNOSUPPORT";
 #ifdef EAGAIN
@@ -146,10 +142,8 @@ get_errno_symbol(int errnum)
 			return "EBUSY";
 		case ECHILD:
 			return "ECHILD";
-#ifdef ECONNABORTED
 		case ECONNABORTED:
 			return "ECONNABORTED";
-#endif
 		case ECONNREFUSED:
 			return "ECONNREFUSED";
 #ifdef ECONNRESET
@@ -166,10 +160,8 @@ get_errno_symbol(int errnum)
 			return "EFAULT";
 		case EFBIG:
 			return "EFBIG";
-#ifdef EHOSTUNREACH
 		case EHOSTUNREACH:
 			return "EHOSTUNREACH";
-#endif
 		case EIDRM:
 			return "EIDRM";
 		case EINPROGRESS:
@@ -180,10 +172,8 @@ get_errno_symbol(int errnum)
 			return "EINVAL";
 		case EIO:
 			return "EIO";
-#ifdef EISCONN
 		case EISCONN:
 			return "EISCONN";
-#endif
 		case EISDIR:
 			return "EISDIR";
 #ifdef ELOOP
@@ -214,20 +204,16 @@ get_errno_symbol(int errnum)
 			return "ENOSPC";
 		case ENOSYS:
 			return "ENOSYS";
-#ifdef ENOTCONN
 		case ENOTCONN:
 			return "ENOTCONN";
-#endif
 		case ENOTDIR:
 			return "ENOTDIR";
 #if defined(ENOTEMPTY) && (ENOTEMPTY != EEXIST) /* same code on AIX */
 		case ENOTEMPTY:
 			return "ENOTEMPTY";
 #endif
-#ifdef ENOTSOCK
 		case ENOTSOCK:
 			return "ENOTSOCK";
-#endif
 #ifdef ENOTSUP
 		case ENOTSUP:
 			return "ENOTSUP";
-- 
2.28.0

